Bug 1704457 - conversion host disablement fails with wrong number of arguments error
Summary: conversion host disablement fails with wrong number of arguments error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1703254
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-29 19:42 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
3 users (show)

Fixed In Version: 5.10.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1703254
Environment:
Last Closed: 2019-05-21 05:47:07 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
Removing conversion host (103.74 KB, image/png)
2019-05-02 20:05 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:14 UTC

Comment 2 CFME Bot 2019-04-29 19:51:34 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/f64f7bccbbd178e2c21eb025a2d7fe0a5ff5b626
commit f64f7bccbbd178e2c21eb025a2d7fe0a5ff5b626
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Apr 26 14:37:36 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Apr 26 14:37:36 2019 -0400

    Merge pull request #18691 from djberg96/fix_disable_queue_args

    [V2V] Provide placeholder params for the ConversionHost#disable method

    (cherry picked from commit 32fa0345ed8822482d3e6a1e5aa03dfcf4dacb24)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1704457

 app/models/conversion_host/configurations.rb | 2 +-
 spec/models/conversion_host/configurations_spec.rb | 19 +
 2 files changed, 20 insertions(+), 1 deletion(-)

Comment 3 Shveta 2019-05-02 20:05:27 UTC
Created attachment 1561969 [details]
Removing conversion host

Removing/disabling a conversion host from UI fails with error " undefined method `userid' for nil:NilClass"
Tested on 5.10.4.1.20190430152139_40a1d86

Comment 4 Shveta 2019-05-02 20:07:19 UTC
The error is different so please suggest if I should open a new BZ and verify this one or
we can debug this issue in the same BZ?

Comment 7 Shveta 2019-05-03 21:24:28 UTC
Tried to call the method disable_conversion_host_role.

conversion_host = ConversionHost.find_by(:name => 'create converison host')
PostgreSQLAdapter#log_after_checkout, connection_pool: size: 5, connections: 1, in use: 1, waiting_in_queue: 0
=> #<ConversionHost id: 6, name: "create converison host", address: nil, type: nil, resource_type: "Host", resource_id: 3, version: nil, max_concurrent_tasks: nil, vddk_transport_supported: false, ssh_transport_supported: false, created_at: "2019-05-03 20:29:46", updated_at: "2019-05-03 20:29:46", concurrent_transformation_limit: nil, cpu_limit: nil, memory_limit: nil, network_limit: nil, blockio_limit: nil>

irb(main):002:0> conversion_host.disable_conversion_host_role
=> #<AwesomeSpawn::CommandResult:0x000000000bf69ae0 @exit_status=2>


Verifying based on comment on BZ 1702020.

Comment 9 errata-xmlrpc 2019-05-21 05:47:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.